Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Forums: Plugin buttons throw errors. Using H18.0.532 with O2020.1.4
Houdini Integrated Plugin

Moderator: juanjgon

Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Postby jdinh » Thu Aug 27, 2020 6:25 am

jdinh Thu Aug 27, 2020 6:25 am
Has anyone ran into issues installing Octane for H18.0.532? I've added the Octane directory to the Houdini path. The tabs show up in the Houdini UI but selecting anything throws a unknown command error. Example error screenshot attached. Also should mention I am using Linux.

Any help appreciated, thank you.
Attachments
Screenshot from 2020-08-27 02-18-52.png
Screenshot from 2020-08-27 02-18-52.png (15.07 KiB) Viewed 421 times
jdinh
Licensed Customer
Licensed Customer
 
Posts: 8
Joined: Sun Jun 09, 2019 3:17 am

Re: Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Postby juanjgon » Mon Aug 31, 2020 9:49 am

juanjgon Mon Aug 31, 2020 9:49 am
Hi,

This seems a configuration issue, probably a problem with the houdini.env file PATH variable, that must point to the plugin folder "bin" directory.

Thanks,
-Juanjo
Computer Graphics Software Developer
Octane plugin development and support: LightWave and Houdini
User avatar
juanjgon
Octane Plugin Developer
Octane Plugin Developer
 
Posts: 8059
Joined: Tue Jan 19, 2010 12:01 pm
Location: Spain

Re: Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Postby jdinh » Thu Sep 03, 2020 2:32 am

jdinh Thu Sep 03, 2020 2:32 am
Ah no dice. Adding the bin directory to the HOUDINI_PATH makes it worse. The UI tabs no longer work. I am using Ubunto 20 and the install guide instructs to leave out the bin directory in the path.
jdinh
Licensed Customer
Licensed Customer
 
Posts: 8
Joined: Sun Jun 09, 2019 3:17 am

Re: Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Postby jdinh » Thu Sep 03, 2020 2:53 am

jdinh Thu Sep 03, 2020 2:53 am
OK I resolved it. Found another thread where you instructed the user to install freeglut lib, so thanks!
jdinh
Licensed Customer
Licensed Customer
 
Posts: 8
Joined: Sun Jun 09, 2019 3:17 am

Re: Plugin buttons throw errors. Using H18.0.532 with O2020.1.4

Postby juanjgon » Thu Sep 03, 2020 8:04 am

juanjgon Thu Sep 03, 2020 8:04 am
Yes, sorry. This lib is missing is some of the latest Linux distributions, so you need to install it to work with the plugin.

Thanks,
-Juanjo
Computer Graphics Software Developer
Octane plugin development and support: LightWave and Houdini
User avatar
juanjgon
Octane Plugin Developer
Octane Plugin Developer
 
Posts: 8059
Joined: Tue Jan 19, 2010 12:01 pm
Location: Spain

Return to Houdini


Who is online

Users browsing this forum: goetzmoritz and 5 guests

Fri Mar 05, 2021 8:27 pm [ UTC ]
cron